# GET Response by id

## Get Response by id

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.3/responses/:id`

Returns a single response by id

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | string | Response id |

#### Query Parameters

| Name              | Type   | Description                                                                             |
| ----------------- | ------ | --------------------------------------------------------------------------------------- |
| preferredLanguage | string | Language to fetch question titles etc. Defaults to 'en' or the first language available |

#### Headers

| Name          | Type   | Description                                                                                |
| ------------- | ------ | ------------------------------------------------------------------------------------------ |
| Authorization | string | Authentication token to access the API eg: 'Authorization': 'ey0iuefg.834xcunerun348efnsd' |

{% tabs %}
{% tab title="200 " %}

```
{
  "answer": [
    "Facebook",
    "LinkedIn"
  ],
  "valueArray": [
    "adfunr4",
    "dsfgt1w"
  ],
  "language": "en",
  "questionType": "Word",
  "questionId": "58d8d548a4753d000e4665ec",
  "createdAt": 1490868345,
  "createdAtDate": "2017-03-30T10:05:45.781Z",
  "_id": "5dc576ffb7c935069aeebd68",
  "question": "Where did you hear from us?",
  "metadata": {},
  "responseChainId": "58dcd870dde9550aec15ef12",
  "teamId": "5dc56d54b7c935069aefa9e3",
  "teamName": "My team 2",
  "touchpointId": "589c16ad87ef9860199cab37",
  "touchpointName": "Retail location 2",
  "surveyId": "507f1f77bcf86cd799439011",
  "tags": []
}
```

{% endtab %}
{% endtabs %}

### Response type description

Returns [Response data](https://docs.feedbackly.com/api/responses/..#response-data-object)
